#pragma once

#include <saas/rtyserver/indexer_core/normalizer.h>

class TInvHashNormalizer : public NRTYServer::INormalizer {
public:
    TInvHashNormalizer(const TRTYServerConfig& config);

    virtual const char* Name() const;
    virtual bool AllRight(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const;
    virtual void Fix(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const;
};
